function CheckCollision(x1,y1,w1,h1, x2,y2,w2,h2)
  return x1 < x2+w2 and
         x2 < x1+w1 and
         y1 < y2+h2 and
         y2 < y1+h1
end

isAlive = true

enemyAlive = true

debug = true

player = { x = 10, y = 560, xSpeed = 450, ySpeed = 700, img = nil}

player2 = { x = 1210, y = 560, xSpeed = 450, ySpeed = 700, img = nil}

bullet = { x = 616, y = 336, xSpeed = 450, ySpeed = 400, img = nil}

background = {x = 0, y = 0, img = nil}

score = {player = 0, AI = 0}

fail = {fail = 0}

function love.draw(dt)
love.graphics.draw(background.Img, background.x, background.y)
love.graphics.draw(player.Img, player.x, player.y)
love.graphics.draw(player2.Img, player2.x, player2.y)
love.graphics.draw(bullet.Img, bullet.x, bullet.y)
end

function love.load(arg)
	background.Img = love.graphics.newImage('assets/background.png')
	player.Img = love.graphics.newImage('assets/player 1.png')
	player2.Img = love.graphics.newImage('assets/player 2.png')
	bullet.Img = love.graphics.newImage('assets/bullet.png')
	rng = love.math.newRandomGenerator()
	randomNumber = rng:random(1,4)
	-- asset ready to be used
end

function love.update(dt)
	-- basic menu stuff
	if love.keyboard.isDown('escape') then
		love.event.push('quit')
	end
	

	-- player 1
	if isAlive == true and enemyAlive == true then
		if love.keyboard.isDown('w') then
			if player.y > 0 then
				player.y = player.y - (player.ySpeed*dt)
			end
		elseif love.keyboard.isDown('s') then
			if player.y < (love.graphics.getHeight() - player.Img:getHeight()) then
				player.y = player.y + (player.ySpeed*dt)
			end
		end
	end
---------------------------------------------------------------------------------------------------------------------------------------

	-- Bullet AI
	if isAlive == true and enemyAlive == true then	
		if bullet.x <= 616 then	
			if player.y >= bullet.y then
		 		bullet.y = bullet.y + (bullet.ySpeed*dt)
			elseif player.y < bullet.y then
			 	bullet.y = bullet.y - (bullet.ySpeed*dt)
			end

			if bullet.x < (love.graphics.getHeight() - bullet.Img:getHeight()) then
				bullet.x = bullet.x - (bullet.xSpeed*dt)
			end
		end

		if bullet.x > 616 then
			if player2.y > bullet.y then
		 		bullet.y = bullet.y + (bullet.ySpeed*dt)
			elseif player2.y < bullet.y then
			 	bullet.y = bullet.y - (bullet.ySpeed*dt)
			end

			if bullet.x > 0 then
				bullet.x = bullet.x + (bullet.xSpeed*dt)
			end
		end

		if bullet.x <= 0 then
			bullet.x = 617
			bullet.y = 336
		end

		if bullet.x >= 1280 then
			bullet.x = 616
			bullet.y = 336
		end
	elseif
		bullet.x == 10000 and bullet.y == 10000 then
	end

---------------------------------------------------------------------------------------------------------------------------------------

	-- Score
	if bullet.x <= 0 then
		score.player = score.player + (1)
	end

	if bullet.x >= 1280 then
		score.AI = score.AI + (1)
	end

---------------------------------------------------------------------------------------------------------------------------------------

   -- Enemy AI
    if bullet.x > 640 then
     	fail = rng:random(1,4)
      	if fail > 1 then
      		if bullet.y > player2.y then
      			if player2.y > 0 then
         			player2.y = player2.y - (player2.ySpeed*dt)
     			end
      		elseif bullet.y < player2.y then
				if player2.y < (love.graphics.getHeight() - player.Img:getHeight()) then
				player2.y = player2.y + (player.ySpeed*dt)
				end
	  		elseif fail == 1 then
				player2.y = player2.y - (player2.ySpeed*dt)
			end
		end
	end

---------------------------------------------------------------------------------------------------------------------------------------

	-- Collision detection
	if checkCollision(bullet.x, bullet.y, bullet.Img:getWidth(), bullet.Img:getHeight, player.x, player.y, player.Img:getWidth(), player.Img:getHeight()) then
		player.x = player.x + (10000)
		isAlive = false
	end	   	
	
	if checkCollision(bullet.x, bullet.y, bullet.Img:getWidth(), bullet.Img:getHeight, player2.x, player2.y, player2.Img:getWidth(), player2.Img:getHeight()) then
		player2.x = player2.x + (10000)
		enemyAlive = false
	end	
end